Integrations

For instructions on how to authenticate to use this endpoint, see API overview.

Endpoints

POST

Create integrations request access

Notify project admins that a member is requesting an integration be connected.

Required API key scopes

integration:write

Request parameters

  • kind
  • reason
    string

Response


Example request

POST /api/projects/:project_id/integrations/request_access
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/integrations/request_access/\
-d kind=undefined,\
-d reason="string"

Example response

Status 200
RESPONSE
{
"success": true
}